Apache log4cxx: RolloverDescription Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# RolloverDescription Class Reference

Inherits ObjectImpl.

List of all members.

## Public Member Functions
| RolloverDescription ()
| RolloverDescription (const LogString &activeFileName, const bool append, const ActionPtr &synchronous, const ActionPtr &asynchronous)
| Create new instance.
LogString | getActiveFileName () const
| Active log file name after rollover.
bool | getAppend () const
ActionPtr | getSynchronous () const
| Action to be completed after close of current active log file before returning control to caller.
ActionPtr | getAsynchronous () const
| Action to be completed after close of current active log file and before next rollover attempt, may be executed asynchronously.

## Constructor & Destructor Documentation

RolloverDescription | ( |  | ) |

RolloverDescription | ( | const LogString & | activeFileName,
|  | const bool | append,
|  | const ActionPtr & | synchronous,
|  | const ActionPtr & | asynchronous
| ) |

  | Create new instance. Parameters:
  | activeFileName | active log file name after rollover, may not be null.
  | append | true if active log file after rollover should be opened for appending.
  | synchronous | action to be completed after close of current active log file, may be null.
  | asynchronous | action to be completed after close of current active log file and before next rollover attempt.

## Member Function Documentation

LogString getActiveFileName | ( |  | ) | const

| Active log file name after rollover. Returns: active log file name after rollover.

bool getAppend | ( |  | ) | const

ActionPtr getAsynchronous | ( |  | ) | const

| Action to be completed after close of current active log file and before next rollover attempt, may be executed asynchronously. Returns: action, may be null.

ActionPtr getSynchronous | ( |  | ) | const

| Action to be completed after close of current active log file before returning control to caller. Returns: action, may be null.

The documentation for this class was generated from the following file:

- rolloverdescription.h